resume menu item doesn't start gdm

Bug #459376 reported by Brian Murray on 2009-10-23
64
This bug affects 9 people
Affects Status Importance Assigned to Milestone
friendly-recovery (Ubuntu)
Medium
Unassigned
Nominated for Lucid by TJ
Karmic
Medium
Unassigned

Bug Description

Binary package hint: friendly-recovery

When using friendly-recovery and choosing resume gdm no longer starts. This used to work in Jaunty.

ProblemType: Bug
Architecture: amd64
Date: Fri Oct 23 13:08:06 2009
DistroRelease: Ubuntu 9.10
Package: friendly-recovery 0.2.8.1
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.31-14.47-generic
SourcePackage: friendly-recovery
Uname: Linux 2.6.31-14-generic x86_64

Brian Murray (brian-murray) wrote :
tags: added: regression-potential
Michael Vogt (mvo) wrote :

The problem is that the gdm upstart file has:

script
...
    # Check kernel command-line for inhibitors
    for ARG in $(cat /proc/cmdline)
    do
        case "${ARG}" in
            text|-s|s|S|single)
                exit 0
                ;;
        esac
    done
...
end script

Combined with friendly-recovery just doing a "exit" on resume. To fix we need to change the upstart script and
make friendly recovery emit that we are now resuming.

Changed in friendly-recovery (Ubuntu Karmic):
status: New → Confirmed
importance: Undecided → Medium

On Mon, Oct 26, 2009 at 10:41:08AM -0000, Michael Vogt wrote:
> The problem is that the gdm upstart file has:

> script
> ...
> # Check kernel command-line for inhibitors
> for ARG in $(cat /proc/cmdline)
> do
> case "${ARG}" in
> text|-s|s|S|single)
> exit 0
> ;;
> esac
> done
> ...
> end script

This is reported as bug #436936.

> Combined with friendly-recovery just doing a "exit" on resume. To fix we
> need to change the upstart script and make friendly recovery emit that we
> are now resuming.

I'm not convinced that's the best thing to do architecture-wise, but it may
be necessary as a solution for karmic.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Michael Vogt (mvo) wrote :

Here is the missing bit that aptitude does not implement:

APT::Update::Post-Invoke-Success:: "[ ! -f /var/run/dbus/system_bus_socket ] || /usr/bin/dbus-send --system --dest=org.freedesktop.PackageKit --type=method_call /org/freedesktop/PackageKit org.freedesktop.PackageKit.StateHasChanged string:'cache-update'";

Steve Beattie (sbeattie) on 2009-11-30
tags: added: karmic regression-release
removed: regression-potential
TJ (tj) wrote :

This is affecting Lucid too (2010-03-04)

Confirmed for Lucid and for kdm.

tags: added: lucid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package friendly-recovery - 0.2.13

---------------
friendly-recovery (0.2.13) oneiric; urgency=low

  * Move everything to /lib/recovery-mode/ (LP: #234409)
  * Don't use the fullpath to whiptail
  * Add new init script starting on recovery-mode (LP: #459376)
  * If whiptail can't be found, just start sulogin
  * Add a script to start mountall (remount everything read/write)
    (LP: #575469, LP: #651782)
  * Export READONLY to all scripts so they can test on the read/write state
  * Disable most scripts when the system is read only
  * Change file system check to happen when remount is called
  * Wait after all scripts returning output so the user can read it
  * Add postinst script to move any existing script to /lib/recovery-mode
    and make /usr/share/recovery-mode a symlink
  * Mark as breaking on older grub2, upstart and initramfs-tools
  * Small packaging refresh:
    - Bump standard to 3.9.2, no change needed
    - Drop simple patchsys (no patches)
    - No need to depend on bash (essential package)
    - Add ${misc:Depends} to dependencies
 -- Stephane Graber <email address hidden> Wed, 07 Sep 2011 20:18:53 -0400

Changed in friendly-recovery (Ubuntu):
status: Confirmed → Fix Released
JC Hulce (soaringsky) wrote :

This bug has been fixed in the latest version of Ubuntu. The fix will not get backported to Karmic, because Karmic is EOL

Changed in friendly-recovery (Ubuntu Karmic):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers